Chanfrein Part

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Part Chamfer and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska
Arrow-left.svg Page précédente: Part SectionCross.png Coupes Part
Page suivante: Mise en miroir Pièce Part Mirror.png Arrow-right.svg

Part Chamfer.svg Chanfrein

Emplacement du menu
Part → Chamfer
Ateliers
Atelier Pièce
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi


Description

Chanfreine le ou les bords sélectionnés d'un objet. Une boîte de dialogue vous permet de choisir le ou les bords sur lesquels vous souhaitez travailler ainsi que de modifier divers paramètres de chanfrein.

Exemple de Chanfrein

Utilisation

  1. Appuyez sur le bouton Part Chamfer.svg de l'atelier Part. Vous pouvez également sélectionner Part → Chanfrein.
  2. Sélectionnez la forme à chanfreiner dans la boîte de dialogue.
  3. Sélectionnez les arêtes à chanfreiner en cochant la case correspondante dans la boîte de dialogue Chanfrein ou en les sélectionnant directement sur le modèle.
  4. Réglez les paramètres de chanfrein.
  5. Appuyez sur OK pour fermer la boîte de dialogue de chanfrein et appliquer le chanfrein.

Options

Dialog-chamfer

  • Lorsque vous sélectionnez des arêtes sur le modèle, vous avez la possibilité de les sélectionner par arête ou par face. La sélection par face sélectionne tous les bords de cette face.
  • Chanfrein de longueur constante ou chanfrein de longueur variable.
    • Un chanfrein de longueur constante créera un chanfrein avec des bords équidistants du bord d'origine à la distance spécifiée.
    • Un chanfrein de longueur variable aura des arêtes pouvant être définies à des distances différentes de l'arête d'origine, ce qui vous permettra de créer un chanfrein à angle variable.

Propriétés

Part_Chamfer Properties


Base

  • DATABase:La forme sur laquelle le chanfrein doit être appliqué.
  • DATAPlacement:Spécifie l'orientation et la position de la forme dans l'espace 3D.
  • DATALabel: Label donné à l'objet. Changer en fonction de vos besoins.


Scripting

L'outil Chanfrein peut être utilisé dans des macros et à partir de la console Python en ajoutant un objet Chanfrein au document.

Exemple de Script:

import Part
cube = FreeCAD.ActiveDocument.addObject("Part::Feature", "myCube")
cube.Shape = Part.makeBox(5, 5, 5)
chmfr = FreeCAD.ActiveDocument.addObject("Part::Chamfer", "myChamfer")
chmfr.Base = FreeCAD.ActiveDocument.myCube
myEdges = []
myEdges.append((1, 1.5, 1.25)) # (edge number, chamfer start length, chamfer end length)
myEdges.append((2, 1.5, 1.25))
myEdges.append((3, 1.5, 1.25))
myEdges.append((4, 1.5, 1.25))
myEdges.append((5, 1.5, 1.25))
myEdges.append((6, 1.5, 1.25))
myEdges.append((7, 1.5, 1.25))
myEdges.append((8, 1.5, 1.25))
myEdges.append((9, 1.5, 1.25))
myEdges.append((10, 1.5, 1.25))
myEdges.append((11, 1.5, 1.25))
myEdges.append((12, 1.5, 1.25))
chmfr.Edges = myEdges
FreeCADGui.ActiveDocument.myCube.Visibility = False
FreeCAD.ActiveDocument.recompute()

Explication de l'exemple de Script :

import Part
cube = FreeCAD.ActiveDocument.addObject("Part::Feature", "myCube")
cube.Shape = Part.makeBox(5, 5, 5)
  • Crée un cube de 5 mm sur lequel nous pouvons appliquer des bords chanfreinés. Voir Part_API pour une explication de la méthode makeBox.
chmfr = FreeCAD.ActiveDocument.addObject("Part::Chamfer", "myChamfer")
  • Ajoute un nouvel objet au document de type Chanfrein (de l'atelier Part) avec le libellé "myChamfer".
chmfr.Base = FreeCAD.ActiveDocument.myCube
  • Spécifie que la forme de base de l'objet chanfrein doit être "myCube".
myEdges = []
myEdges.append((1, 1.5, 1.25)) # (edge number, chamfer start length, chamfer end length)
myEdges.append((2, 1.5, 1.25))
myEdges.append((3, 1.5, 1.25))
myEdges.append((4, 1.5, 1.25))
myEdges.append((5, 1.5, 1.25))
myEdges.append((6, 1.5, 1.25))
myEdges.append((7, 1.5, 1.25))
myEdges.append((8, 1.5, 1.25))
myEdges.append((9, 1.5, 1.25))
myEdges.append((10, 1.5, 1.25))
myEdges.append((11, 1.5, 1.25))
myEdges.append((12, 1.5, 1.25))
  • Crée un tableau vide "myEdges" puis l'ajoute aux paramètres de chanfrein de chaque bord.
  • La syntaxe pour chaque élément doit être (edge#, chamfer start length, chamfer end length) c'est-à-dire (arête#, longueur du début du chanfrein, longueur de l'extrémité du chanfrein).
chmfr.Edges = myEdges
  • Définit l'attribut Edges de notre objet Chamfer égal au tableau que nous venons de créer.
FreeCADGui.ActiveDocument.myCube.Visibility = False
  • Cette ligne cache simplement "myCube" de sorte que notre objet "myChamfer" nouvellement créé soit le seul visible.
FreeCAD.ActiveDocument.recompute()
  • Recalcule tous les composants modifiés à l'écran et actualise l'affichage.


Arrow-left.svg Page précédente: Part SectionCross.png Coupes Part
Page suivante: Mise en miroir Pièce Part Mirror.png Arrow-right.svg